Subject: Re: [PATCH net-next] net, sched: add clsact qdisc

From: Jamal Hadi Salim <[email-masked]>
Date: Thu, 7 Jan 2016 09:29:52 -0500

On 16-01-07 06:58 AM, Daniel Borkmann wrote:
> On 01/07/2016 11:09 AM, Hannes Frederic Sowa wrote:

>
> Idea was that this is done before we pick txq as stated. F.e., could also
> be that we end up not having enqueue handler, thus moving this further down
> (not sure if there's a good place?), might make it all more scattered resp.
> complex to cover all parts.
>

 From a cursory glance (Will comment a lot more later, definetely bt 
netdev11 time):
I like the idea - actually i think that this is where John was heading
initially. Both efforts complement each other.
This scheme could be used to compensate for the queue lock avoidance
and do a direct txmit (and let the hardware do the scheduling).
The classid selection could clearly be done at this early stage.
And a few of the standard skb metadatum could be used to map to
hardware offloading.

cheers,
jamal